package kr.co.vividnext.sodalive.admin.audition.applicant

import kr.co.vividnext.sodalive.common.SodaException
import org.springframework.data.repository.findByIdOrNull
import org.springframework.stereotype.Service
import org.springframework.transaction.annotation.Transactional

@Service
class AdminAuditionApplicantService(private val repository: AdminAuditionApplicantRepository) {
    @Transactional
    fun deleteAuditionApplicant(id: Long) {
        val applicant = repository.findByIdOrNull(id)
            ?: throw SodaException("잘못된 요청입니다.")

        applicant.isActive = false
    }
}
