package kr.co.vividnext.sodalive.admin.content.curation

data class CreateContentCurationRequest(
    val tabId: Long,
    val title: String,
    val description: String,
    val isAdult: Boolean,
    val isSeries: Boolean
)

data class UpdateContentCurationRequest(
    val id: Long,
    val tabId: Long?,
    val title: String?,
    val description: String?,
    val isAdult: Boolean?,
    val isSeries: Boolean?,
    val isActive: Boolean?
)

data class UpdateContentCurationOrdersRequest(
    val ids: List<Long>
)
